Subject: Re: [net-next 1/3] psp: Support resetting statistics on a device

From: Jakub Kicinski <[email-masked]>
Date: Thu, 5 Mar 2026 06:59:15 -0800

On Thu, 5 Mar 2026 16:24:05 +0530 Akhilesh Samineni wrote:
> The PSP supports dynamic administrative states, allowing it to be
> enabled or disabled during runtime. Currently, statistics are
> persistent across these state transitions, which can lead to baseline
> drift and complicate telemetry analysis.

Baseline drift? What _concrete_ use case do you actually have in mind?
Do you know of other stats that get reset when something is disabled 
in networking?